# 变更日志

所有此项目的重要变更都将记录在此文件中。

格式基于 [Keep a Changelog](https://keepachangelog.com/zh-CN/1.0.0/)，
并且此项目遵循 [语义化版本控制](https://semver.org/lang/zh-CN/)。

## [未发布]

## [1.0.0] - 2024-12-19

### 新增
- 初始版本发布
- 完整的OSS客户端功能，兼容标准OSS接口
- 存储桶操作：创建、删除、检查存在、获取信息
- 对象操作：上传、下载、删除、列举、获取元数据
- 文件操作：从本地文件上传、下载到本地文件
- 分片上传：初始化、上传分片、完成、取消
- 认证系统：基于HMAC-SHA1的签名算法
- 预签名URL生成
- 完整的异常处理系统
- 类型注解支持
- 详细的文档和示例

### 支持的功能
- 与标准OSS完全兼容的API接口
- 支持Python 3.7+
- 支持自定义元数据
- 支持HTTP范围请求
- 支持进度回调（预留接口）
- 支持多种存储类型
- 完整的错误处理和异常类型

### 技术特性
- 基于requests库的HTTP客户端
- 支持流式下载
- 支持大文件分片上传
- 原子性文件操作
- 线程安全的设计
- 完整的单元测试覆盖

## [开发中的功能]

### 计划中
- 异步IO支持
- 更多存储类型支持
- 批量操作优化
- 缓存机制
- 断点续传
- 压缩上传
- 加密存储支持

### 已知问题
- 大文件上传时的内存使用优化
- 网络错误的重试机制
- 并发上传的性能优化

---

更多信息请查看 [GitHub Releases](https://github.com/zuadoss/zuadoss-python-sdk/releases) 